package com.lz.modules.equipment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*设备表
* @author quyixiao
* @since 2020-08-06
*/

@Data
@TableName("equipment_qr")
public class EquipmentQr implements java.io.Serializable {
    //主键id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除
    private Integer isDelete;
    //生成时间
    private Date gmtCreate;
    //修改时间
    private Date gmtModified;
    //设备码
    private String qr;
    //1 员工，2， 其他
    private Integer type;
    //
    private Long ownerId;
    //规格id
    private Long specsId;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 生成时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 生成时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 设备码 
     * @return
     */
    public String getQr() {
        return qr;
    }
    /**
     * 设备码 
     * @param qr
     */
    public void setQr(String qr) {
        this.qr = qr;
    }

    /**
     * 1 员工，2， 其他 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1 员工，2， 其他 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     *  
     * @return
     */
    public Long getOwnerId() {
        return ownerId;
    }
    /**
     *  
     * @param ownerId
     */
    public void setOwnerId(Long ownerId) {
        this.ownerId = ownerId;
    }

    /**
     * 规格id 
     * @return
     */
    public Long getSpecsId() {
        return specsId;
    }
    /**
     * 规格id 
     * @param specsId
     */
    public void setSpecsId(Long specsId) {
        this.specsId = specsId;
    }

    @Override
    public String toString() {
        return "EquipmentQr{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",qr=" + qr +
                ",type=" + type +
                ",ownerId=" + ownerId +
                ",specsId=" + specsId +
                "}";
    }
}